Loading...
Searching...
No Matches
RDKit::MolStandardize::LargestFragmentChooser Class Reference

`#include <Fragment.h>`

## Classes

struct | Largest

## Public Member Functions

| LargestFragmentChooser (bool preferOrganic=false)
| LargestFragmentChooser (const CleanupParameters &params)
| LargestFragmentChooser (const LargestFragmentChooser &other)
| ~LargestFragmentChooser ()=default
ROMol * | choose (const ROMol &mol) const
void | chooseInPlace (RWMol &mol) const

## Detailed Description

Definition at line 74 of file Fragment.h.

## Constructor & Destructor Documentation

## LargestFragmentChooser() [1/3]

RDKit::MolStandardize::LargestFragmentChooser::LargestFragmentChooser | ( | bool | preferOrganic = false | ) |

inline

Definition at line 77 of file Fragment.h.

Referenced by LargestFragmentChooser().

## LargestFragmentChooser() [2/3]

RDKit::MolStandardize::LargestFragmentChooser::LargestFragmentChooser | ( | const CleanupParameters & | params | ) |

inline

Definition at line 79 of file Fragment.h.

## LargestFragmentChooser() [3/3]

RDKit::MolStandardize::LargestFragmentChooser::LargestFragmentChooser | ( | const LargestFragmentChooser & | other | ) |

References LargestFragmentChooser().

## ~LargestFragmentChooser()

RDKit::MolStandardize::LargestFragmentChooser::~LargestFragmentChooser | ( |  | ) |

default

## Member Function Documentation

## choose()

ROMol * RDKit::MolStandardize::LargestFragmentChooser::choose | ( | const ROMol & | mol | ) | const

## chooseInPlace()

void RDKit::MolStandardize::LargestFragmentChooser::chooseInPlace | ( | RWMol & | mol | ) | const

The documentation for this class was generated from the following file:

- Fragment.h